Loading...
Searching...
No Matches
depict.cpp File Reference
`#include <openbabel/mol.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/ring.h>`
`#include <openbabel/alias.h>`
`#include <openbabel/generic.h>`
`#include <openbabel/depict/depict.h>`
`#include <openbabel/depict/painter.h>`
`#include <openbabel/elements.h>`
`#include <algorithm>`
`#include <iterator>`
`#include <openbabel/stereo/stereo.h>`
`#include <openbabel/stereo/cistrans.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/obfunctions.h>`
`#include <cmath>`
`#include <iostream>`

## Namespaces

namespace | OpenBabel

## Enumerations

enum | { Left , Right , Up , Down }
enum | Radical { NOT_RADICAL , ONE_DOT , TWO_DOT }

## Functions

bool | SortAtomZ (const pair< OBAtom *, double > &a, const pair< OBAtom *, double > &b)
int | GetLabelAlignment (OBAtom *atom)
unsigned int | GetAtomSymClass (OBAtom *atom)
static Radical | AssignRadicalDots (OBAtom *atom)

## Detailed Description

2D depiction of molecules using OBPainter.